--- old/usr/src/uts/common/fs/smbsrv/smb_fem.c	sam. juil. 16 15:14:29 2016
+++ new/usr/src/uts/common/fs/smbsrv/smb_fem.c	sam. juil. 16 15:14:29 2016
@@ -59,14 +59,14 @@
     char *, cred_t *, caller_context_t *, int);
 
 static const fs_operation_def_t smb_fcn_tmpl[] = {
-	VOPNAME_CREATE, { .femop_create = smb_fem_fcn_create },
-	VOPNAME_REMOVE, {.femop_remove = smb_fem_fcn_remove},
-	VOPNAME_RENAME, {.femop_rename = smb_fem_fcn_rename},
-	VOPNAME_MKDIR, {.femop_mkdir = smb_fem_fcn_mkdir},
-	VOPNAME_RMDIR, {.femop_rmdir = smb_fem_fcn_rmdir},
-	VOPNAME_LINK, {.femop_link = smb_fem_fcn_link},
-	VOPNAME_SYMLINK, {.femop_symlink = smb_fem_fcn_symlink},
-	NULL, NULL
+	{ VOPNAME_CREATE, { .femop_create = smb_fem_fcn_create } },
+	{ VOPNAME_REMOVE, {.femop_remove = smb_fem_fcn_remove} },
+	{ VOPNAME_RENAME, {.femop_rename = smb_fem_fcn_rename} },
+	{ VOPNAME_MKDIR, {.femop_mkdir = smb_fem_fcn_mkdir} },
+	{ VOPNAME_RMDIR, {.femop_rmdir = smb_fem_fcn_rmdir} },
+	{ VOPNAME_LINK, {.femop_link = smb_fem_fcn_link} },
+	{ VOPNAME_SYMLINK, {.femop_symlink = smb_fem_fcn_symlink} },
+	{ NULL, {NULL} }
 };
 
 /*
@@ -88,14 +88,14 @@
     caller_context_t *);
 
 static const fs_operation_def_t smb_oplock_tmpl[] = {
-	VOPNAME_OPEN,	{ .femop_open = smb_fem_oplock_open },
-	VOPNAME_READ,	{ .femop_read = smb_fem_oplock_read },
-	VOPNAME_WRITE,	{ .femop_write = smb_fem_oplock_write },
-	VOPNAME_SETATTR, { .femop_setattr = smb_fem_oplock_setattr },
-	VOPNAME_RWLOCK, { .femop_rwlock = smb_fem_oplock_rwlock },
-	VOPNAME_SPACE,	{ .femop_space = smb_fem_oplock_space },
-	VOPNAME_VNEVENT, { .femop_vnevent = smb_fem_oplock_vnevent },
-	NULL, NULL
+	{ VOPNAME_OPEN,	{ .femop_open = smb_fem_oplock_open } },
+	{ VOPNAME_READ,	{ .femop_read = smb_fem_oplock_read } },
+	{ VOPNAME_WRITE,	{ .femop_write = smb_fem_oplock_write } },
+	{ VOPNAME_SETATTR, { .femop_setattr = smb_fem_oplock_setattr } },
+	{ VOPNAME_RWLOCK, { .femop_rwlock = smb_fem_oplock_rwlock } },
+	{ VOPNAME_SPACE,	{ .femop_space = smb_fem_oplock_space } },
+	{ VOPNAME_VNEVENT, { .femop_vnevent = smb_fem_oplock_vnevent } },
+	{ NULL, {NULL} }
 };
 
 static int smb_fem_oplock_break(femarg_t *, caller_context_t *, uint32_t);
